Bug 126492 - possible ecj miscompilation in mx4j
Summary: possible ecj miscompilation in mx4j
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ecj   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-22 13:27 UTC by Gary Benson
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 09:12:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gary Benson 2004-06-22 13:27:49 UTC
Description of problem:
If you build mx4j using ecj-ant then attempting to compile
mx4j-jmx.jar to native code spits out the following error:

javax/management/loading/MLet.java: In class
`javax.management.loading.MLet':
javax/management/loading/MLet.java: In method
`javax.management.loading.MLet.getMBeansFromURL(java.io.InputStream)':
javax/management/loading/MLet.java:500: error: verification error at
PC=211
javax/management/loading/MLet.java:500: error: might transfer control
into subroutine

Version-Release number of selected component (if applicable):
ecj-2.1.3-2, ant-1.5.2-29, mx4j-1.1.1-10

Additional info:
This is worked around in ant.spec by prebuilding the offending class
with gcj.

Comment 1 Gary Benson 2004-09-08 11:02:12 UTC
Hopefully this will turn out to have been fixed by the fix for bug 129323.


Note You need to log in before you can comment on or make changes to this bug.